aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristoph Junghans <ottxor@gentoo.org>2014-11-21 13:43:48 -0700
committerChristoph Junghans <ottxor@gentoo.org>2014-11-21 13:43:48 -0700
commit4397e13a63de7dd92455f9fd407b9b5a1193a052 (patch)
tree7cd8431642655ce41dd432cd89f2b8c255fd2d3e /dev-cpp/icnc
parentMerge pull request #288 from marbre/nvidia-cuda-gdk (diff)
downloadsci-4397e13a63de7dd92455f9fd407b9b5a1193a052.tar.gz
sci-4397e13a63de7dd92455f9fd407b9b5a1193a052.tar.bz2
sci-4397e13a63de7dd92455f9fd407b9b5a1193a052.zip
fixed install location
Package-Manager: portage-2.2.8-r2
Diffstat (limited to 'dev-cpp/icnc')
-rw-r--r--dev-cpp/icnc/ChangeLog3
-rw-r--r--dev-cpp/icnc/icnc-9999.ebuild20
2 files changed, 22 insertions, 1 deletions
diff --git a/dev-cpp/icnc/ChangeLog b/dev-cpp/icnc/ChangeLog
index 2b0943a08..93bd9430d 100644
--- a/dev-cpp/icnc/ChangeLog
+++ b/dev-cpp/icnc/ChangeLog
@@ -2,6 +2,9 @@
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 21 Nov 2014; Christoph Junghans <ottxor@gentoo.org> icnc-9999.ebuild:
+ fixed install location
+
14 Nov 2014; Christoph Junghans <ottxor@gentoo.org> icnc-9999.ebuild:
fully supports mpi
diff --git a/dev-cpp/icnc/icnc-9999.ebuild b/dev-cpp/icnc/icnc-9999.ebuild
index b2970ad69..68a3a2927 100644
--- a/dev-cpp/icnc/icnc-9999.ebuild
+++ b/dev-cpp/icnc/icnc-9999.ebuild
@@ -20,7 +20,7 @@ fi
LICENSE="BSD"
SLOT="0"
-IUSE="mpi"
+IUSE="doc examples mpi"
DEPEND="
>=dev-cpp/tbb-4.2
@@ -36,3 +36,21 @@ src_configure() {
)
cmake-utils_src_configure
}
+
+src_install() {
+ cmake-utils_src_install
+ if use doc ; then
+ insinto /usr/share/doc/${P}/html
+ doins -r "${ED}"/usr/doc/api/*
+ fi
+ rm -r "${ED}"/usr/doc/api || die
+ rmdir "${ED}"/usr/doc || die
+ if use examples ; then
+ insinto /usr/share/${PN}/examples
+ doins -r "${ED}"/usr/samples/*
+ fi
+ rm -r "${ED}"/usr/samples || die
+ insinto /usr/share/${PN}/
+ doins -r "${ED}"/usr/misc/*
+ rm -r "${ED}"/usr/misc/ || die
+}